Aller au contenu

GET /v1/invoice/einvoicing/callback

GET
/v1/invoice/einvoicing/callback
curl --request GET \
--url https://api.asap.cool/v1/invoice/einvoicing/callback \
--cookie asap_session=<asap_session>
code
string

Authorization code from SuperPDP.

state
string

Anti-CSRF state issued by connect.

error
string

Set when the user declined.

Redirect to the invoice settings page; the outcome is in the query string (einvoicing=connected|pending_review or einvoicing_error=<code>).

No signed-in session.

Media typeapplication/json

Generic error body returned by API handlers when they fail. code is a stable machine-readable token; message is human-friendly and meant for surfacing to end users.

object
code
required

Stable machine token (e.g. invalid_credentials).

string
field

Offending request field for validation errors, when known.

string | null
message
required

Human-readable message.

string

Example generated

{
"code": "example",
"field": "example",
"message": "example"
}

Not an Owner or Admin of the org.

Media typeapplication/json

Generic error body returned by API handlers when they fail. code is a stable machine-readable token; message is human-friendly and meant for surfacing to end users.

object
code
required

Stable machine token (e.g. invalid_credentials).

string
field

Offending request field for validation errors, when known.

string | null
message
required

Human-readable message.

string

Example generated

{
"code": "example",
"field": "example",
"message": "example"
}

The e-invoicing platform is not configured.

Media typeapplication/json

Generic error body returned by API handlers when they fail. code is a stable machine-readable token; message is human-friendly and meant for surfacing to end users.

object
code
required

Stable machine token (e.g. invalid_credentials).

string
field

Offending request field for validation errors, when known.

string | null
message
required

Human-readable message.

string

Example generated

{
"code": "example",
"field": "example",
"message": "example"
}